---

  - name: GLPI | Install GLPI Inventory Agent
    ansible.builtin.apt:
      force: yes
      deb: https://github.com/glpi-project/glpi-agent/releases/download/1.4/glpi-agent_1.4-1_all.deb 
      state: present

  - name: GLPI | Enable GLPI service and stop it for first run
    ansible.builtin.systemd:
      name: glpi-agent.service
      enabled: yes
      daemon_reload: yes
      state: stopped

  - name: GLPI | Configure GLPI
    ansible.builtin.template:
      src: glpi-agent.j2
      dest: /etc/glpi-agent/conf.d/zsl.cfg
      owner: root
      group: root
      mode: 0644


  - name: GLPI | Add cron entry, just in case
    ansible.builtin.template:
      src: cron-glpi.j2
      dest: /etc/cron.daily/glpi-agent.sh
      owner: root
      group: root
      mode: 0775